Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.search.engine
Enum DocumentBuilderContainedEntity.PropertiesMetadata.Container

    java.lang.Object
      java.lang.Enum<DocumentBuilderContainedEntity.PropertiesMetadata.Container>
          org.hibernate.search.engine.DocumentBuilderContainedEntity.PropertiesMetadata.Container

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DocumentBuilderContainedEntity.PropertiesMetadata.Container>

Enclosing class:
  DocumentBuilderContainedEntity.PropertiesMetadata

    public static enum DocumentBuilderContainedEntity.PropertiesMetadata.Container

extends java.lang.Enum<DocumentBuilderContainedEntity.PropertiesMetadata.Container>

Enum Constant Summary
`ARRAY`
`COLLECTION`
`MAP`
`OBJECT`

Method Summary
`static DocumentBuilderContainedEntity.PropertiesMetadata.Container` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DocumentBuilderContainedEntity.PropertiesMetadata.Container[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OBJECT

    public static final DocumentBuilderContainedEntity.PropertiesMetadata.Container OBJECT

### COLLECTION

    public static final DocumentBuilderContainedEntity.PropertiesMetadata.Container COLLECTION

### MAP

    public static final DocumentBuilderContainedEntity.PropertiesMetadata.Container MAP

### ARRAY

    public static final DocumentBuilderContainedEntity.PropertiesMetadata.Container ARRAY

Method Detail

### values

    public static DocumentBuilderContainedEntity.PropertiesMetadata.Container[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DocumentBuilderContainedEntity.PropertiesMetadata.Container c : DocumentBuilderContainedEntity.PropertiesMetadata.Container.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DocumentBuilderContainedEntity.PropertiesMetadata.Container valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.